<?php   
 
//******************************************************/
// pChart analog.php v.2.0.0
//******************************************************

// ------------------- Параметры

// --------- Легенда --------
// >!!!<		- обязательный параметр
// >[]<		- по умолчанию
// >???<		- не проверено
// --------------------------

// &width=  - ширина  >[420]<
// &height= - высота  >[240]<
// &px=     - интервал между значениями на графике  >[10px]<
// &title=  - Название гарфика и оси Y  >["Температура"]<
// &Y_unit= - Название оси Y  >["Температура [°C]"]<
// weight(1-9)=   - вес (толщина) линий 1-9  >[1]<
// 
// &p1= - Объект_1.Значение 	>!!!<
// &p2= - Объект_2.Значение
// &p3= - Объект_3.Значение
// &p4= - Объект_4.Значение
// &p5= - Объект_5.Значение
// &p6= - Объект_6.Значение
// &p7= - Объект_7.Значение
// &p8= - Объект_8.Значение
// &p9= - Объект_9.Значение
// 
// &n1= - Наименование объекта_1 (отображается в подписи линии)
// &n2= - Наименование объекта_2
// &n3= - Наименование объекта_3
// &n4= - Наименование объекта_4
// &n5= - Наименование объекта_5
// &n6= - Наименование объекта_6
// &n7= - Наименование объекта_7
// &n8= - Наименование объекта_8
// &n9= - Наименование объекта_9
// 
// --- Период 	>!!!<
// &type=1z        - 1 месяц
// &type=1d        - 1 день
// &type=1h        - 1 час
// &type=1m        - 1 минута
// 
// --- Минимальное и максимальное значения графиков. Если не установлены - автомасштабирование
// &min=, &max=  - масштаб всего графика по оси Y
//
// --- Пользовательский период	(НЕ ПРОВЕРЕНО!!!)
// &start=13/02/6  - дата начала
// &interva=86400  - период в секундах (1 день)
// &resolution=900 - разрешение в секундах
// &today=         - 1/-* today (0:00-23:59), &type required

// --- Тип графика
// &gtype=	- если не указан явно, то по умолчанию тип графика- ЛИНИЯ >[line]<
// --- Возможные типы графиков (см. здесь: http://wiki.pchart.net/doc.chart.drawareachart.html):
// spline 			- сплайн
// area				- область диаграммы
// bar				- гистограмма
// bestfit			- "линия вероятности"
// filledspline	- заполненный сплайн
// filledstep		- заполненный шаг
// plot				- точки
// stackedarea		- область суммы всех элементов (почему-то игнорирует отриц. значения!!??)
// stackedbar		- гистограмма суммы всех элементов (почему-то игнорирует отриц. значения!!??)
// step				- ступенчатый график


//------------------- Colors

// ---custom (RGB) channels colors
// &c1r=[255], 	&c1g=[0], 	&c1b=[0], 	&c1a=[255] - color of channel 1 
// &c2r=[0], 		&c2g=[255],	&c2b=[0], 	&c2a=[255] - color of channel 2 
// &c3r=[0], 		&c3g=[0], 	&c3b=[255],	&c3a=[255] - color of channel 3 
// &c4r=[127], 	&c4g=[51], 	&c4b=[0], 	&c4a=[255] - color of channel 4 
// &c5r=[0], 		&c5g=[127],	&c5b=[70], 	&c5a=[255] - color of channel 5 
// &c6r=[33], 		&c6g=[0], 	&c6b=[127],	&c6a=[255] - color of channel 6 
// &c7r=[178], 	&c7g=[0], 	&c7b=[255],	&c7a=[255] - color of channel 7 
// &c8r=[127], 	&c8g=[0], 	&c8b=[55], 	&c8a=[255] - color of channel 8 
// &c9r=[0], 		&c9g=[0], 	&c9b=[0], 	&c9a=[255] - color of channel 9 

// ---background colors
// &bg_r=[108],	&bg_g=[129], 	&bg_b=[140], - background custom colors RGB
// &no_dash 	- отключение наклонной штриховки фона (&no_dash=0 - штриховка включена) >[&no_dash=0]<

//------------------- Filters		(НЕ ПРОВЕРЕНО!!!)

// ---"analog" filter 01
// &c1fil01= - for channel 1
// &c2fil01= - for channel 2
// &c3fil01= - for channel 3
// &c4fil01= - for channel 4
// &c5fil01= - for channel 5
// &c6fil01= - for channel 6
// &c7fil01= - for channel 7
// &c8fil01= - for channel 8
// &c9fil01= - for channel 9

// ---"digital" filter 02 			(НЕ ПРОВЕРЕНО!!!)
// &c1fil02= - for channel 1
// &c2fil02= - for channel 2
// &c3fil02= - for channel 3
// &c4fil02= - for channel 4
// &c5fil02= - for channel 5
// &c6fil02= - for channel 6
// &c7fil02= - for channel 7
// &c8fil02= - for channel 8
// &c9fil02= - for channel 9

//------------------- Analytics 	(НЕ ПРОВЕРЕНО!!!)

// &remove= - 1/-* remove serie1 & serie2
// &middle= - 1/-*

//******************************************************/

//---------------------------- Standard inclusions 
 
 chdir('../');
 include_once("./config.php");
 include_once("./lib/loader.php");
 include_once(DIR_MODULES."application.class.php");
 $db = new mysql(DB_HOST, '', DB_USER, DB_PASSWORD, DB_NAME); //connecting to database
 include_once("./load_settings.php");
 /* pChart library inclusions */
 include("./pChart2/class/pData.class.php");
 include("./pChart2/class/pDraw.class.php");
 include("./pChart2/class/pImage.class.php");
 
 /*------------ Create and populate the pData object ------------*/
 $MyData = new pData();

//---------------------------- Settings 

 $settings = SQLSelect("SELECT NAME, VALUE FROM settings");
 $total = count($settings);
 for($i=0;$i<$total;$i++) {
   Define('SETTINGS_'.$settings[$i]['NAME'], $settings[$i]['VALUE']);
 }

//---------------------------- Width & height of graphics
 
 if (!$width) {$w=420;} 	else {$w=(int)$width;}
 if (!$height){$h=240;} 	else {$h=(int)$height;}
 
//---------------------------- Manual Scale

 if ($_GET['min']) {$min=$_GET['min'];} else {$min='';}
 if ($_GET['max']) {$max=$_GET['max'];} else {$max='';}

//---------------------------- Colors

 if ($_GET['bg_r']) {$bg_r=$_GET['bg_r'];} else {$bg_r=108;}
 if ($_GET['bg_g']) {$bg_g=$_GET['bg_g'];} else {$bg_g=129;}
 if ($_GET['bg_b']) {$bg_b=$_GET['bg_b'];} else {$bg_b=148;}
 if ($_GET['no_dash']) {$no_dash=$_GET['no_dash'];} else {$no_dash=0;}

 if ($_GET['c1r']) {$c1r=$_GET['c1r'];} else {$c1r=255;}
 if ($_GET['c1g']) {$c1g=$_GET['c1g'];} else {$c1g=0;}
 if ($_GET['c1b']) {$c1b=$_GET['c1b'];} else {$c1b=0;}
 if ($_GET['c1a']) {$c1a=$_GET['c1a'];} else {$c1a=255;}
 
 if ($_GET['c2r']) {$c2r=$_GET['c2r'];} else {$c2r=0;}
 if ($_GET['c2g']) {$c2g=$_GET['c2g'];} else {$c2g=255;}
 if ($_GET['c2b']) {$c2b=$_GET['c2b'];} else {$c2b=0;}
 if ($_GET['c2a']) {$c2a=$_GET['c2a'];} else {$c2a=255;}

 if ($_GET['c3r']) {$c3r=$_GET['c3r'];} else {$c3r=0;}
 if ($_GET['c3g']) {$c3g=$_GET['c3g'];} else {$c3g=0;}
 if ($_GET['c3b']) {$c3b=$_GET['c3b'];} else {$c3b=255;}
 if ($_GET['c3a']) {$c3a=$_GET['c3a'];} else {$c3a=255;}
 
 if ($_GET['c4r']) {$c4r=$_GET['c4r'];} else {$c4r=127;}
 if ($_GET['c4g']) {$c4g=$_GET['c4g'];} else {$c4g=51;}
 if ($_GET['c4b']) {$c4b=$_GET['c4b'];} else {$c4b=0;}
 if ($_GET['c4a']) {$c4a=$_GET['c4a'];} else {$c4a=255;}

 if ($_GET['c5r']) {$c5r=$_GET['c5r'];} else {$c5r=0;}
 if ($_GET['c5g']) {$c5g=$_GET['c5g'];} else {$c5g=127;}
 if ($_GET['c5b']) {$c5b=$_GET['c5b'];} else {$c5b=70;}
 if ($_GET['c5a']) {$c5a=$_GET['c5a'];} else {$c5a=255;}
 
 if ($_GET['c6r']) {$c6r=$_GET['c6r'];} else {$c6r=33;}
 if ($_GET['c6g']) {$c6g=$_GET['c6g'];} else {$c6g=0;}
 if ($_GET['c6b']) {$c6b=$_GET['c6b'];} else {$c6b=127;}
 if ($_GET['c6a']) {$c6a=$_GET['c6a'];} else {$c6a=255;}
 
 if ($_GET['c7r']) {$c7r=$_GET['c7r'];} else {$c7r=178;}
 if ($_GET['c7g']) {$c7g=$_GET['c7g'];} else {$c7g=0;}
 if ($_GET['c7b']) {$c7b=$_GET['c7b'];} else {$c7b=255;}
 if ($_GET['c7a']) {$c7a=$_GET['c7a'];} else {$c7a=255;}
 
 if ($_GET['c8r']) {$c8r=$_GET['c8r'];} else {$c8r=127;}
 if ($_GET['c8g']) {$c8g=$_GET['c8g'];} else {$c8g=0;}
 if ($_GET['c8b']) {$c8b=$_GET['c8b'];} else {$c8b=55;}
 if ($_GET['c8a']) {$c8a=$_GET['c8a'];} else {$c8a=255;}
 
 if ($_GET['c9r']) {$c9r=$_GET['c9r'];} else {$c9r=0;}
 if ($_GET['c9g']) {$c9g=$_GET['c9g'];} else {$c9g=0;}
 if ($_GET['c9b']) {$c9b=$_GET['c9b'];} else {$c9b=0;} 
 if ($_GET['c9a']) {$c9a=$_GET['c9a'];} else {$c9a=255;} 
 
//---------------------------- Names

 if ($_GET['n1']) {$n1=$_GET['n1'];} else {$n1="";}   
 if ($_GET['n2']) {$n2=$_GET['n2'];} else {$n2="";}   
 if ($_GET['n3']) {$n3=$_GET['n3'];} else {$n3="";}   
 if ($_GET['n4']) {$n4=$_GET['n4'];} else {$n4="";}   
 if ($_GET['n5']) {$n5=$_GET['n5'];} else {$n5="";}   
 if ($_GET['n6']) {$n6=$_GET['n6'];} else {$n6="";}   
 if ($_GET['n7']) {$n7=$_GET['n7'];} else {$n7="";}   
 if ($_GET['n8']) {$n8=$_GET['n8'];} else {$n8="";}   
 if ($_GET['n9']) {$n9=$_GET['n9'];} else {$n9="";}  
   
//---------------------------- Line weights

 if (!$weight1){$wght1=1;} 	else {$wght1=(int)$weight1;}
 if (!$weight2){$wght2=1;} 	else {$wght2=(int)$weight2;}
 if (!$weight3){$wght3=1;} 	else {$wght3=(int)$weight3;}
 if (!$weight4){$wght4=1;} 	else {$wght4=(int)$weight4;}
 if (!$weight5){$wght5=1;} 	else {$wght5=(int)$weight5;}
 if (!$weight6){$wght6=1;} 	else {$wght6=(int)$weight6;}
 if (!$weight7){$wght7=1;} 	else {$wght7=(int)$weight7;}
 if (!$weight8){$wght8=1;} 	else {$wght8=(int)$weight8;}
 if (!$weight9){$wght9=1;} 	else {$wght9=(int)$weight9;}

//---------------------------- fil01 
  
 if ($_GET['c1fil01']) {$c1fil01=$_GET['c1fil01'];} else {$c1fil01=0;}
 if ($_GET['c2fil01']) {$c2fil01=$_GET['c2fil01'];} else {$c2fil01=0;}
 if ($_GET['c3fil01']) {$c3fil01=$_GET['c3fil01'];} else {$c3fil01=0;}
 if ($_GET['c4fil01']) {$c4fil01=$_GET['c4fil01'];} else {$c4fil01=0;}
 if ($_GET['c5fil01']) {$c5fil01=$_GET['c5fil01'];} else {$c5fil01=0;}
 if ($_GET['c6fil01']) {$c6fil01=$_GET['c6fil01'];} else {$c6fil01=0;}
 if ($_GET['c7fil01']) {$c7fil01=$_GET['c7fil01'];} else {$c7fil01=0;}
 if ($_GET['c8fil01']) {$c8fil01=$_GET['c8fil01'];} else {$c8fil01=0;}
 if ($_GET['c9fil01']) {$c9fil01=$_GET['c9fil01'];} else {$c9fil01=0;} 
 
//---------------------------- fil02 
  
 if ($_GET['c1fil02']) {$c1fil02=$_GET['c1fil02'];} else {$c1fil02=0;}
 if ($_GET['c2fil02']) {$c2fil02=$_GET['c2fil02'];} else {$c2fil02=0;}     
 if ($_GET['c3fil02']) {$c3fil02=$_GET['c3fil02'];} else {$c3fil02=0;} 
 if ($_GET['c4fil02']) {$c4fil02=$_GET['c4fil02'];} else {$c4fil02=0;} 
 if ($_GET['c5fil02']) {$c5fil02=$_GET['c5fil02'];} else {$c5fil02=0;} 
 if ($_GET['c6fil02']) {$c6fil02=$_GET['c6fil02'];} else {$c6fil02=0;} 
 if ($_GET['c7fil02']) {$c7fil02=$_GET['c7fil02'];} else {$c7fil02=0;} 
 if ($_GET['c8fil02']) {$c8fil02=$_GET['c8fil02'];} else {$c8fil02=0;} 
 if ($_GET['c9fil02']) {$c9fil02=$_GET['c9fil02'];} else {$c9fil02=0;} 

//---------------------------- Middle
  
if ($_GET['middle']) {$middle=$_GET['middle'];} 
 else {$middle=0;}
  
//---------------------------- Revove
  
if ($_GET['remove']) {$remove=$_GET['remove'];} 
 else {$remove=0;}

//---------------------------- Labels
  
if ($_GET['labels']) {$labels=$_GET['labels'];} 
 else {$labels=0;}  
  
//---------------------------- Title
  
if ($_GET['title']) {$title=$_GET['title'];} 
 else {$title="Температура";}  
  
//---------------------------- Y_unit
  
if ($_GET['Y_unit']) {$Y_unit=$_GET['Y_unit'];} 
 else {$Y_unit="Температура [°C]";}  
  
//---------------------------- Filter 01

function filter01($values, $all, $fil01) {

  for($z=0; $z<$fil01; $z++){
    for($i=0; $i<$all-1; $i++){
      if ($values[$i]!=0 && $values[$i+1]!=0) {
        $values[$i]=($values[$i]+$values[$i+1])/2;
	  }
    }
    for($i=$all-1; $i>=0; $i--){
      if ($values[$i]!=0 && $values[$i-1]!=0) {
        $values[$i]=($values[$i]+$values[$i-1])/2;
      }
    }
  } //for($z)
  return $values;
}

//---------------------------- Filter 02

function filter02($val, $al, $fil) {

  for($z=0; $z<$fil; $z++){
    for($i=0; $i<$al-1; $i++){
      if ($val[$i]==0) {
        $val[$i]=$val[$i+1];
	  }
    }
    for($i=$al-1; $i>=0; $i--){
      if ($val[$i]==0) {
        $val[$i]=$val[$i-1];
      }
    }
  } //for($z)
  return $val;
}  
  
 
//---------------------------- Get object

 if ($p1!='') {
   if (preg_match('/(.+)\.(.+)/is', $p1, $m)) {
     $obj = getObject($m[1]);
     $prop_id = $obj->getPropertyByName($m[2], $obj->class_id, $obj->id);
   }
 }
 $pvalue=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id."' AND OBJECT_ID='".$obj->id."'");
 if (!$pvalue['ID']) {exit;}

//---------------------------- Get object 2

 if ($p2!='') {
   if (preg_match('/(.+)\.(.+)/is', $p2, $m2)) {
     $obj2 = getObject($m2[1]);
     $prop_id2 = $obj2->getPropertyByName($m2[2], $obj2->class_id, $obj2->id);
   }
 }
 $pvalue2=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id2."' AND OBJECT_ID='".$obj2->id."'");
 if(!$pvalue2['ID']) {$p2='';}

//---------------------------- Get object 3

 if ($p3!='') {
   if (preg_match('/(.+)\.(.+)/is', $p3, $m3)) {
     $obj3 = getObject($m3[1]);
     $prop_id3 = $obj3->getPropertyByName($m3[2], $obj3->class_id, $obj3->id);
   }
 }
 $pvalue3=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id3."' AND OBJECT_ID='".$obj3->id."'");
 if(!$pvalue3['ID']) {$p3='';}
 
//---------------------------- Get object 4

 if ($p4!='') {
   if (preg_match('/(.+)\.(.+)/is', $p4, $m4)) {
     $obj4 = getObject($m4[1]);
     $prop_id4 = $obj4->getPropertyByName($m4[2], $obj4->class_id, $obj4->id);
   }
 }
 $pvalue4=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id4."' AND OBJECT_ID='".$obj4->id."'");
 if(!$pvalue4['ID']) {$p4='';}

//---------------------------- Get object 5

 if ($p5!='') {
   if (preg_match('/(.+)\.(.+)/is', $p5, $m5)) {
     $obj5 = getObject($m5[1]);
     $prop_id5 = $obj5->getPropertyByName($m5[2], $obj5->class_id, $obj5->id);
   }
 }
 $pvalue5=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id5."' AND OBJECT_ID='".$obj5->id."'");
 if(!$pvalue5['ID']) {$p5='';}

//---------------------------- Get object 6

 if ($p6!='') {
   if (preg_match('/(.+)\.(.+)/is', $p6, $m6)) {
     $obj6 = getObject($m6[1]);
     $prop_id6 = $obj6->getPropertyByName($m6[2], $obj6->class_id, $obj6->id);
   }
 }
 $pvalue6=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id6."' AND OBJECT_ID='".$obj6->id."'");
 if(!$pvalue6['ID']) {$p6='';}

//---------------------------- Get object 7

 if ($p7!='') {
   if (preg_match('/(.+)\.(.+)/is', $p7, $m7)) {
     $obj7 = getObject($m7[1]);
     $prop_id7 = $obj7->getPropertyByName($m7[2], $obj7->class_id, $obj7->id);
   }
 }
 $pvalue7=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id7."' AND OBJECT_ID='".$obj7->id."'");
 if(!$pvalue7['ID']) {$p7='';}

//---------------------------- Get object 8

 if ($p8!='') {
   if (preg_match('/(.+)\.(.+)/is', $p8, $m8)) {
     $obj8 = getObject($m8[1]);
     $prop_id8 = $obj8->getPropertyByName($m8[2], $obj8->class_id, $obj8->id);
   }
 }
 $pvalue8=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id8."' AND OBJECT_ID='".$obj8->id."'");
 if(!$pvalue8['ID']) {$p8='';}

//---------------------------- Get object 9

 if ($p9!='') {
   if (preg_match('/(.+)\.(.+)/is', $p9, $m9)) {
     $obj9 = getObject($m9[1]);
     $prop_id9 = $obj9->getPropertyByName($m9[2], $obj9->class_id, $obj9->id);
   }
 }
 $pvalue9=SQLSelectOne("SELECT * FROM pvalues WHERE PROPERTY_ID='".$prop_id9."' AND OBJECT_ID='".$obj9->id."'");
 if(!$pvalue9['ID']) {$p9='';}

//---------------------------- end_time
 
 $end_time=time();
 
//---------------------------- today

 if ($_GET['today']==1) {$today=1;} 
  else {$today=0;}
   
 if ($today) {
     $end_time=timeConvert("23:59")+59; //-3600
 }    
   
//---------------------------- Precision
 
 if ($_GET['px']) {
   $px_per_point = (int)$_GET['px'];
 } else {
     $px_per_point=10; //precision
   }
   
//---------------------------- start_time (end_time) & period def
   
 if (preg_match('/(\d+)d/', $type, $m)) { //days (86400) &type=1d
   $total = (int)$m[1];
   $period = round(($total*24*60*60) / (($w-80)/$px_per_point));
   $start_time = $end_time-$total*24*60*60;

 } elseif (preg_match('/(\d+)h/', $type, $m)) { //hours (3600) &type=1h
   $total = (int)$m[1];
   $period = round(($total*60*60) / (($w-80)/$px_per_point));
   $start_time = $end_time-$total*60*60;

 } elseif (preg_match('/(\d+)m/', $type, $m)) { //minutes (60) &type=1m
   $total = (int)$m[1];
   $period = round(($total*60) / (($w-80)/$px_per_point));
   $start_time = $end_time-$total*60;

  } elseif (preg_match('/(\d+)z/', $type, $m)) { //months (2678400) &type=1z
   $total = (int)$m[1];
   $period = round(($total*31*24*60*60) / (($w-80)/$px_per_point));
   $start_time = $end_time-$total*31*24*60*60;
   
  } elseif (preg_match('/(\d+)\/(\d+)\/(\d+)/', $_GET['start'], $m) && $_GET['resolution']) { // &start=12/12/6 &resolution=900 &interval86400
   $period = (int)$_GET['resolution']; //seconds
   $start_time = mktime(0, 0, 0, $m[2], $m[3], $m[1]);
   $total=1;
   $end_time = $start_time+$_GET['interval'];
 } // end if

 
//---------------------------- Channel 1
 
  if ($total>0) {
   $px=0;
   $px_passed=0;
   $dt=date('Y-m-d',$start_time);
 
// 90 - расчитывается исходя из параметров $myPicture->setGraphArea(50,40,$w-30,$h-30) 
// и $scaleSettings: "XMargin"=>10  
   $wid=$w-90;
   $shk=$wid/4;
   
   $start_time2=$start_time;
   $start_time3=$start_time;
   $start_time4=$start_time;
   $start_time5=$start_time;
   $start_time6=$start_time;
   $start_time7=$start_time;
   $start_time8=$start_time;
   $start_time9=$start_time;
   
   $history=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
   $values_nmbr=count($history);

// Рассчитываем кол-во итераций для равномерного наполнения графика точками
	$total=(($end_time-$start_time)/$period);
	
   $t1=date('H:i', $start_time);
   $t2=date('H:i', $end_time);
   $not_empty=0;
   $tmp=0;
	$history_nmbr=0;

// Формируем массив значений для графика, а также подписываем временную ось
	for($i=0;$i<$total;$i++) {
		$unx=$history[$history_nmbr]['UNX'];
// До тех пор, пока время взятого значения из массива меньше стартового -
// - перебираем по порядку все точки пока не найдём нужную
		while ($unx<$start_time) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr) { 
				$unx=$history[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history[$history_nmbr]['UNX'];
		}

	   $not_empty=1;

		if ($unx<$start_time) {
			$values[$i]=VOID;
		}
		else {
			$values[$i]=(float)$history[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values[$i] < $min || $values[$i] > $max) ) {
			$values[$i]=VOID;
		}

		$temp_time=$start_time;
		$start_time+=$period;
		if ($px_passed > $shk) {
			if (date('Y-m-d', $unx)!=$dt) {
				$hours[]=date('d/m',$unx);
				$dt=date('Y-m-d',$unx);
			} else {
			$hours[]=date('H:i',$temp_time);
			}
			$px_passed=0;
		} else {
			$hours[]='';
		}
		$px+=$px_per_point;
		$px_passed+=$px_per_point;
	}

	if ($not_empty==0){
		$values[0]=0; $hours[0]=$t1;
		$values[2]=0; $hours[2]=$t2;
	}  

  $allh = count($hours);
  $hours[0]=$t1;
  $hours[$allh-1]=$t2;
   
//----- filters 1

  $all = count($values);
  if ($c1fil01>0) {$values=filter01($values,$all,$c1fil01);}
  if ($c1fil02>0) {$values=filter02($values,$all,$c1fil02);}
 
//----- final 1

 $MyData->addPoints($values,$n1);
 $MyData->setPalette($n1,array("R"=>$c1r,"G"=>$c1g,"B"=>$c1b,"Alpha"=>$c1a));
 $MyData->setSerieTicks($n1,0);
 $MyData->setSerieWeight($n1,$wght1);
 $MyData->setAxisName(0,$Y_unit);
 $MyData->addPoints($hours,"Time_axis");
 $MyData->setSerieDescription("Time_axis","Время");
 $MyData->setAbscissa("Time_axis");
 } else {
   $MyData->AddPoints(0,$n1);
 } 

//---------------------------- Channel 2

  if($p2!='') {
	$history_nmbr=0;
   $history2=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue2['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time2)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
   $values_nmbr2=count($history2);

	for($i=0;$i<$total;$i++) {
		$unx=$history2[$history_nmbr]['UNX'];
		while ($unx<$start_time2) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr2) { 
				$unx=$history2[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history2[$history_nmbr]['UNX'];
		}

		if ($unx<$start_time2) {
			$values[$i]=VOID;
                }
                else {
 		$values2[$i]=(float)$history2[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values2[$i] < $min || $values2[$i] > $max) ) {
			$values2[$i]=VOID;
		}
		$start_time2+=$period;
	}

	$all2 = count($values2);
	if ($c2fil01>0) {$values2=filter01($values2,$all2,$c2fil01);}
	if ($c2fil02>0) {$values2=filter02($values2,$all2,$c2fil02);}
	$MyData->AddPoints($values2,$n2);  
 	$MyData->setPalette($n2,array("R"=>$c2r,"G"=>$c2g,"B"=>$c2b,"Alpha"=>$c2a));
 	$MyData->setSerieTicks($n2,0);
	$MyData->setSerieWeight($n2,$wght2);
  } //end if ($p2!='')
  
//---------------------------- Channel 3

  if($p3!='') {
   $history3=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue3['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time3)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
	$history_nmbr=0;
   $values_nmbr3=count($history3);

	for($i=0;$i<$total;$i++) {
		$unx=$history3[$history_nmbr]['UNX'];
		while ($unx<$start_time3) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr3) { 
				$unx=$history3[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history3[$history_nmbr]['UNX'];
		}

		if ($unx<$start_time3) {
			$values[$i]=VOID;
		}
		else {
			$values3[$i]=(float)$history3[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values3[$i] < $min || $values3[$i] > $max) ) {
			$values3[$i]=VOID;
		}
		$start_time3+=$period;
	}

  $all3 = count($values3);
  if ($c3fil01>0) {$values3=filter01($values3,$all3,$c3fil01);}
  if ($c3fil02>0) {$values3=filter02($values3,$all3,$c3fil02);}
  $MyData->AddPoints($values3,$n3);
  $MyData->setPalette($n3,array("R"=>$c3r,"G"=>$c3g,"B"=>$c3b,"Alpha"=>$c3a));
  $MyData->setSerieTicks($n3,0);
  $MyData->setSerieWeight($n3,$wght3);
   } //end if ($p3!='')
  
//---------------------------- Channel 4

  if($p4!='') {
   $history4=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue4['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time4)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
	$history_nmbr=0;
   $values_nmbr4=count($history4);

	for($i=0;$i<$total;$i++) {
		$unx=$history4[$history_nmbr]['UNX'];
		while ($unx<$start_time4) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr4) { 
				$unx=$history4[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history4[$history_nmbr]['UNX'];
		}

                if ($unx<$start_time4) {
                        $values[$i]=VOID;
                }
                else {
 		$values4[$i]=(float)$history4[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values4[$i] < $min || $values4[$i] > $max) ) {
			$values4[$i]=VOID;
		}
		$start_time4+=$period;
	}

  $all4 = count($values4);
  if ($c4fil01>0) {$values4=filter01($values4,$all4,$c4fil01);}
  if ($c4fil02>0) {$values4=filter02($values4,$all4,$c4fil02);}
        $MyData->AddPoints($values4,$n4);
        $MyData->setPalette($n4,array("R"=>$c4r,"G"=>$c4g,"B"=>$c4b,"Alpha"=>$c4a));
        $MyData->setSerieTicks($n4,0);
        $MyData->setSerieWeight($n4,$wght4);
   } //end if ($p4!='')

//---------------------------- Channel 5

  if($p5!='') {
   $history5=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue5['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time5)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
	$history_nmbr=0;
   $values_nmbr5=count($history5);

	for($i=0;$i<$total;$i++) {
		$unx=$history5[$history_nmbr]['UNX'];
		while ($unx<$start_time5) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr5) { 
				$unx=$history5[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history5[$history_nmbr]['UNX'];
		}

                if ($unx<$start_time5) {
                        $values[$i]=VOID;
                }
                else {
 		$values5[$i]=(float)$history5[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values5[$i] < $min || $values5[$i] > $max) ) {
			$values5[$i]=VOID;
		}
		$start_time5+=$period;
	}

  $all5 = count($values5);
  if ($c5fil01>0) {$values5=filter01($values5,$all5,$c5fil01);}
  if ($c5fil02>0) {$values5=filter02($values5,$all5,$c5fil02);}
        $MyData->AddPoints($values5,$n5);
        $MyData->setPalette($n5,array("R"=>$c5r,"G"=>$c5g,"B"=>$c5b,"Alpha"=>$c5a));
        $MyData->setSerieTicks($n5,0);
        $MyData->setSerieWeight($n5,$wght5);
   } //end if ($p5!='')

//---------------------------- Channel 6

  if($p6!='') {
   $history6=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue6['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time6)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
	$history_nmbr=0;
   $values_nmbr6=count($history6);

	for($i=0;$i<$total;$i++) {
		$unx=$history6[$history_nmbr]['UNX'];
		while ($unx<$start_time6) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr6) { 
				$unx=$history6[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history6[$history_nmbr]['UNX'];
		}

                if ($unx<$start_time6) {
                        $values[$i]=VOID;
                }
                else {
 		$values6[$i]=(float)$history6[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values6[$i] < $min || $values6[$i] > $max) ) {
			$values6[$i]=VOID;
		}
		$start_time6+=$period;
	}

  $all6 = count($values6);
  if ($c6fil01>0) {$values6=filter01($values6,$all6,$c6fil01);}
  if ($c6fil02>0) {$values6=filter02($values6,$all6,$c6fil02);}
        $MyData->AddPoints($values6,$n6);
        $MyData->setPalette($n6,array("R"=>$c6r,"G"=>$c6g,"B"=>$c6b,"Alpha"=>$c6a));
        $MyData->setSerieTicks($n6,0);
        $MyData->setSerieWeight($n6,$wght6);
   } //end if ($p6!='')

//---------------------------- Channel 7

  if($p7!='') {
   $history7=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue7['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time7)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
	$history_nmbr=0;
   $values_nmbr7=count($history7);

	for($i=0;$i<$total;$i++) {
		$unx=$history7[$history_nmbr]['UNX'];
		while ($unx<$start_time7) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr7) { 
				$unx=$history7[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history7[$history_nmbr]['UNX'];
		}

                if ($unx<$start_time7) {
                        $values[$i]=VOID;
                }
                else {
 		$values7[$i]=(float)$history7[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values7[$i] < $min || $values7[$i] > $max) ) {
			$values7[$i]=VOID;
		}
		$start_time7+=$period;
	}

  $all7 = count($values7);
  if ($c7fil01>0) {$values7=filter01($values7,$all7,$c7fil01);}
  if ($c7fil02>0) {$values7=filter02($values7,$all7,$c7fil02);}
        $MyData->AddPoints($values7,$n7);
        $MyData->setPalette($n7,array("R"=>$c7r,"G"=>$c7g,"B"=>$c7b,"Alpha"=>$c7a));
        $MyData->setSerieTicks($n7,0);
        $MyData->setSerieWeight($n7,$wght7);
   } //end if ($p7!='')

//---------------------------- Channel 8

  if($p8!='') {
   $history8=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue8['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time8)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
	$history_nmbr=0;
   $values_nmbr8=count($history8);

	for($i=0;$i<$total;$i++) {
		$unx=$history8[$history_nmbr]['UNX'];
		while ($unx<$start_time8) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr8) { 
				$unx=$history8[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history8[$history_nmbr]['UNX'];
		}

                if ($unx<$start_time8) {
                        $values[$i]=VOID;
                }
                else {
 		$values8[$i]=(float)$history8[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values8[$i] < $min || $values8[$i] > $max) ) {
			$values8[$i]=VOID;
		}
		$start_time8+=$period;
	}

  $all8 = count($values8);
  if ($c8fil01>0) {$values8=filter01($values8,$all8,$c8fil01);}
  if ($c8fil02>0) {$values8=filter02($values8,$all8,$c8fil02);}
        $MyData->AddPoints($values8,$n8);
        $MyData->setPalette($n8,array("R"=>$c8r,"G"=>$c8g,"B"=>$c8b,"Alpha"=>$c8a));
        $MyData->setSerieTicks($n8,0);
        $MyData->setSerieWeight($n8,$wght8);
   } //end if ($p8!='')

//---------------------------- Channel 9

  if($p9!='') {
   $history9=SQLSelect("SELECT ID, VALUE, UNIX_TIMESTAMP(ADDED) as UNX FROM phistory WHERE VALUE_ID='".$pvalue9['ID']."' AND ADDED>=('".date('Y-m-d H:i:s', $start_time9)."') AND ADDED<=('".date('Y-m-d H:i:s', $end_time)."') ORDER BY ADDED");
	$history_nmbr=0;
   $values_nmbr9=count($history9);

	for($i=0;$i<$total;$i++) {
		$unx=$history9[$history_nmbr]['UNX'];
		while ($unx<$start_time9) {
			$history_nmbr++;
			if ($history_nmbr > $values_nmbr9) { 
				$unx=$history9[$values_nmbr-1]['UNX'];
				break; 
			}

			$unx=$history9[$history_nmbr]['UNX'];
		}

                if ($unx<$start_time9) {
                        $values[$i]=VOID;
                }
                else {
 		$values9[$i]=(float)$history9[$history_nmbr]['VALUE'];
		}
// Если установлено ручное масштабирование, то следим чтобы значения не вылезали за пределы графика:
		if (($min!='' || $max!='') && ($values9[$i] < $min || $values9[$i] > $max) ) {
			$values9[$i]=VOID;
		}
		$start_time9+=$period;
	}

  $all9 = count($values9);
  if ($c9fil01>0) {$values9=filter01($values9,$all9,$c9fil01);}
  if ($c9fil02>0) {$values9=filter02($values9,$all9,$c9fil02);}
        $MyData->AddPoints($values9,$n9);
        $MyData->setPalette($n9,array("R"=>$c9r,"G"=>$c9g,"B"=>$c9b,"Alpha"=>$c9a));
        $MyData->setSerieTicks($n9,0);
        $MyData->setSerieWeight($n9,$wght9);
   } //end if ($p9!='')
  

//---------------------------- Middle  
/*
 if($middle!=0){
   
   $t1=count($values);
   $t2=count($values2);
   
   if($t1<$t2){ //?
     $total_m=$t1;
   }else{
      $total_m=$t2;
    }

   for($z=0; $z<$total_m; $z++){
     $values_middle[$z]=($values[$z]+$values2[$z])/2;
   } 
   $MyData->AddPoints($values_middle,$n10);
} 
*/



 /* Create the pChart object */
 $myPicture = new pImage($w,$h,$MyData);

 /* Turn of Antialiasing */
 $myPicture->Antialias = FALSE;

 /* Add a border to the picture */
 $myPicture->drawRectangle(0,0,$w-1,$h-1,array("R"=>0,"G"=>0,"B"=>0));
 
 /* Draw the background */
 $Settings = array("R"=>$bg_r, "G"=>$bg_g, "B"=>$bg_b, "Dash"=>!$no_dash, "DashR"=>$bg_r*0.8, "DashG"=>$bg_g*0.8, "DashB"=>$bg_b*0.8);
 $myPicture->drawFilledRectangle(0,0,$w,$h,$Settings);

 /* Write the chart title */ 
 $myPicture->setFontProperties(array("FontName"=>"./pChart2/fonts/verdana.ttf","FontSize"=>11));
 $myPicture->drawText(150,35,$title,array("FontSize"=>16,"Align"=>TEXT_ALIGN_BOTTOMLEFT));

 /* Set the default font */
 $myPicture->setFontProperties(array("FontName"=>"./pChart2/fonts/verdana.ttf","FontSize"=>9));
 
 /* Define the chart area */
 $myPicture->setGraphArea(50,40,$w-30,$h-30);

 /* Draw the scale */
 if ($min!='' || $max!='') {
 	$scaleSettings = array("ManualScale"=>array(0=>array("Min"=>$min,"Max"=>$max)), "XMargin"=>10,"YMargin"=>10,"Floating"=>TRUE, "GridTicks"=>4, "GridR"=>255,"GridG"=>255,"GridB"=>255,"DrawSubTicks"=>TRUE,"CycleBackground"=>TRUE, "LabelSkip"=>($shk/$px_per_point),"Mode"=>SCALE_MODE_MANUAL);
 }
 Else {
 	$scaleSettings = array("XMargin"=>10,"YMargin"=>10,"Floating"=>TRUE, "GridTicks"=>4, "GridR"=>255,"GridG"=>255,"GridB"=>255,"DrawSubTicks"=>TRUE,"CycleBackground"=>TRUE, "LabelSkip"=>($shk/$px_per_point),"Mode"=>SCALE_MODE_ADDALL);
 }
 $myPicture->drawScale($scaleSettings);

 /* Turn on Antialiasing */
 $myPicture->Antialias = TRUE;

 
 /* Draw the line chart */
 
 if       ($_GET['gtype']=='spline')  		{$myPicture->drawSplineChart();
 } elseif ($_GET['gtype']=='area')  		{$myPicture->drawAreaChart();
 } elseif ($_GET['gtype']=='bar')  			{$myPicture->drawBarChart();
 } elseif ($_GET['gtype']=='bestfit') 		{$myPicture->drawBestFit();
 } elseif ($_GET['gtype']=='filledspline'){$myPicture->drawFilledSplineChart();
 } elseif ($_GET['gtype']=='filledstep')	{$myPicture->drawFilledStepChart(array("ForceTransparency"=>40));
 } elseif ($_GET['gtype']=='plot')  		{$myPicture->drawPlotChart(array("BorderSize"=>1, "Surrounding"=>40, "BorderAlpha"=>100, "PlotSize"=>2, "PlotBorder"=>TRUE, "DisplayValues"=>0, "DisplayColor"=>DISPLAY_AUTO));
 } elseif ($_GET['gtype']=='stackedarea')	{$myPicture->drawStackedAreaChart(array("Surrounding"=>22));
 } elseif ($_GET['gtype']=='stackedbar')  {$myPicture->drawStackedBarChart();
 } elseif ($_GET['gtype']=='step')			{$myPicture->drawStepChart();
 } else 												{$myPicture->drawLineChart();}


 /* Write the chart legend */
 //$myPicture->drawLegend(540,20,array("Style"=>LEGEND_NOBORDER,"Mode"=>LEGEND_HORIZONTAL));

 /* Write a label over the chart */
 // Параметр "BoxAlpha" отвечает за прозрачность лейблы [0-100]%
 // Параметр "VerticalMargin"		-	ширина лейблы (это не ошибка! этот параметр не отвечает за высоту лейблы!!!)
 // Параметр "HorizontalMargin"	-	высота лейблы
 if($p1!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n1,"GradientEndR"=>$c1r,"GradientEndG"=>$c1g,"GradientEndB"=>$c1b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 // Second parameter - lable position on the trend
 $myPicture->writeLabel($n1,5,$LabelSettings);
 }

 if($p2!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n2,"GradientEndR"=>$c2r,"GradientEndG"=>$c2g,"GradientEndB"=>$c2b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n2,15,$LabelSettings);
 }
 if($p3!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n3,"GradientEndR"=>$c3r,"GradientEndG"=>$c3g,"GradientEndB"=>$c3b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n3,30,$LabelSettings);
 }
 if($p4!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n4,"GradientEndR"=>$c4r,"GradientEndG"=>$c4g,"GradientEndB"=>$c4b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n4,45,$LabelSettings);
 }
 if($p5!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n5,"GradientEndR"=>$c5r,"GradientEndG"=>$c5g,"GradientEndB"=>$c5b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n5,60,$LabelSettings);
 }
 if($p6!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n6,"GradientEndR"=>$c6r,"GradientEndG"=>$c6g,"GradientEndB"=>$c6b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n6,75,$LabelSettings);
 }
 if($p7!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n7,"GradientEndR"=>$c7r,"GradientEndG"=>$c7g,"GradientEndB"=>$c7b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n7,90,$LabelSettings);
 }
 if($p8!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n8,"GradientEndR"=>$c8r,"GradientEndG"=>$c8g,"GradientEndB"=>$c8b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n8,68,$LabelSettings);
 }
 if($p9!='') {
 $LabelSettings = array("NoTitle"=>TRUE,"DrawSerieColor"=>FALSE,"ForceLabels"=>$n9,"GradientEndR"=>$c9r,"GradientEndG"=>$c9g,"GradientEndB"=>$c9b,"TitleBackgroundG"=>200, "BoxAlpha"=>40, "VerticalMargin"=>5, "HorizontalMargin"=>3);
 $myPicture->writeLabel($n9,83,$LabelSettings);
 }

 /* Render the picture (choose the best way) */
 $myPicture->autoOutput("./pChart2/pictures/example.drawLineChart.simple.png"); 



// Header("Content-type:image/png");
// imagepng($Test->Picture);
 //$Test->Render();

//---------------------------- Disconnect

 $db->Disconnect(); // closing database connection

?>
